StopToken

Stops a token reference or all the ones linked to a card. The token or tokens can be unstopped using UnStopToken

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal id of the terminal requesting the transaction
customerReferenceString1-255 characters✓Customer reference linked with this card
cardIdentifierString1-20 characters✓The card number, sequence number or tracking number of the specified card
tokenUniqueReferenceString48 characters✓The unique reference of the token or an empty string to stop all the tokens for the card
stopReasonIDInteger✓Stop Reason id associated with the reason for stopping the token or tokens.; 1 – Card lost; 2 – Card stolen; 3 – Pending query; 4 – Card consolidation; 5 – Card inactive; 6 – PIN tries exceeded; 7 – Suspected fraud; 8 – Card replaced; 9 – Card re-issued; 10 – Card schedule stop; 11 – Offline PIN tries exceeded
commentString✓Description as to why the token was deleted
transactionIDString1-255 characters✓A unique identifier generated by the client, which must not be duplicated over time.
transactionDateString1-255 characters✓Transaction date generated by the calling client
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0"?>
  <methodCall>
    <methodName>StopToken</methodName>
    <params>
      <param>
        <value>
          <string>0053897254</string>
        </value>
      </param>
      <param>
        <value>
          <string>66809871700</string>
        </value>
      </param>      
      <param>
        <value>
          <string>5270693245587369</string>
        </value>
      </param>
      <param>
        <value>
          <string>DWSPMC00000000010906a349d9ca4eb1a4d53e3c90a11d9c</string>
        </value>
      </param>
      <param>
        <value>
          <string>1</string>
        </value>
      </param>
      <param>
        <value>
          <string>Card no longer in use</string>
        </value>
      </param>
      <param>
        <value>
          <string>fb8344c9-2fc9-467b-87e4-55eaf88d06f2</string>
        </value>
      </param>
      <param>
        <value>
          <dateTime.iso8601>20200101T09:00:00</dateTime.iso8601>
        </value>
      </param>
      <param>
        <value>
          <string>77AEED17218150745D56F2DBD73C4B1CB7CD78A5</string>
        </value>
      </param>
    </params>
  </methodCall>

Response Parameters

FieldtypeDescription
resultCodeIntegerStatus code indicating transaction result
resultTextStringStatus text indicating result
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
    <params>
        <param>
            <value>
                <struct>
                    <member>
                        <name>resultCode</name>
                        <value>
                            <int>1</int>
                        </value>
                    </member>
                    <member>
                        <name>resultText</name>
                        <value>
                            <string>Approved</string>
                        </value>
                    </member>
                </struct>
            </value>
        </param>
    </params>
</methodResponse>